### Name: Airy
### Title: Airy functions
### Aliases: Airy airy airy_Ai airy_Bi airy_Bi_e airy_Ai_scaled
###   airy_Ai_scaled_e airy_Bi_scaled airy_Bi_scaled_e airy_Ai_deriv
###   airy_Ai_deriv_e airy_Bi_deriv airy_Bi_deriv_e airy_Ai_deriv_scaled
###   airy_Ai_deriv_scaled_e airy_Bi_deriv_scaled airy_Bi_deriv_scaled_e
###   airy_zero_Ai airy_zero_Ai_e airy_zero_Bi airy_zero_Bi_e
###   airy_zero_Ai_deriv airy_zero_Ai_deriv_e airy_zero_Bi_deriv
###   airy_zero_Bi_deriv_e
### Keywords: array

### ** Examples


x <- seq(from=0,to=1,by=0.01)

f <- function(x){
cbind(x=x, Ai= airy_Ai(x), Aidash= airy_Ai_deriv(x),
Bi=airy_Ai(x),Bidash=airy_Bi_deriv(x))
}

f(x)  #table 10.11, p475
f(-x) #table 10.11, p476

x <- seq(from=0,to=10,len=100)
plot(c(0,10),c(-1,1),type="n",main="Fig 10.6, p446",xlab="x",ylab="y")
lines(x,airy_Ai       ( x),type="l",lty=1)
lines(x,airy_Ai       (-x),type="l",lty=2)
lines(x,airy_Ai_deriv ( x),type="l",lty=3)
lines(x,airy_Ai_deriv (-x),type="l",lty=4)
abline(0,0)

airy_zero_Ai(-3:3)
airy_zero_Bi(-3:3)
airy_zero_Ai_deriv(-3:3)
airy_zero_Bi_deriv(-3:3)

x <- 1:10  #table 10.13, p478
cbind(x,
 airy_zero_Ai(x), airy_Ai_deriv(airy_zero_Ai(x)),
 airy_zero_Ai_deriv(x), airy_Ai(airy_zero_Ai_deriv(x)),
 airy_zero_Bi(x), airy_Bi_deriv(airy_zero_Bi(x)),

 airy_zero_Bi_deriv(x), airy_Bi(airy_zero_Bi_deriv(x))
 )




